| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XMLAttDefList Class Reference

This class defines an abstract interface that all validators must support. More...

Inheritance diagram for XMLAttDefList:

[legend]
Collaboration diagram for XMLAttDefList:

[legend]
List of all members.

## Public Methods

virtual bool | hasMoreElements () const=0
virtual bool | isEmpty () const=0
virtual XMLAttDef * | findAttDef (const unsigned long uriID, const XMLCh *const attName)=0
virtual const XMLAttDef * | findAttDef (const unsigned long uriID, const XMLCh *const attName) const=0
virtual XMLAttDef * | findAttDef (const XMLCh *const attURI, const XMLCh *const attName)=0
virtual const XMLAttDef * | findAttDef (const XMLCh *const attURI, const XMLCh *const attName) const=0
virtual XMLAttDef & | nextElement ()=0
virtual void | Reset ()=0
Destructor
virtual | ~XMLAttDefList ()

## Protected Methods

| XMLAttDefList ()
| XMLAttDefList (const XMLAttDefList &)
XMLAttDefList & | operator= (const XMLAttDefList &)

## Detailed Description

This class defines an abstract interface that all validators must support.

When the scanner scans the attributes in a start tag, it must have a list of the defined attributes for that element. This is used to fault in defaulted and fixed attributes, to know which ones are required, and to know the their types in order to do the correct normalization.

Since each validator will have its own derivatives of XMLAttDef and will have its own specialized storage mechanisms for elements and the att defs that they own, there must be an abstracted way for the scanner to deal with this list.

It does not derive from the generic Enumerator template class, because there are portability issues with deriving from a template class in a DLL. It does though provide a similar enumerator interface.

## Constructor & Destructor Documentation

XMLAttDefList::~XMLAttDefList | ( |  | ) | `[virtual]`

XMLAttDefList::XMLAttDefList | ( |  | ) | `[protected]`

XMLAttDefList::XMLAttDefList | ( | const XMLAttDefList & |  | ) | `[protected]`

## Member Function Documentation

virtual const XMLAttDef* XMLAttDefList::findAttDef | ( | const XMLCh *const | attURI,
|  | const XMLCh *const | attName
| ) | const`[pure virtual]`

virtual XMLAttDef* XMLAttDefList::findAttDef | ( | const XMLCh *const | attURI,
|  | const XMLCh *const | attName
| ) | `[pure virtual]`

virtual const XMLAttDef* XMLAttDefList::findAttDef | ( | const unsigned long | uriID,
|  | const XMLCh *const | attName
| ) | const`[pure virtual]`

virtual XMLAttDef* XMLAttDefList::findAttDef | ( | const unsigned long | uriID,
|  | const XMLCh *const | attName
| ) | `[pure virtual]`

virtual bool XMLAttDefList::hasMoreElements | ( |  | ) | `[pure virtual]`

virtual bool XMLAttDefList::isEmpty | ( |  | ) | `[pure virtual]`

virtual XMLAttDef& XMLAttDefList::nextElement | ( |  | ) | `[pure virtual]`

XMLAttDefList & XMLAttDefList::operator= | ( | const XMLAttDefList & |  | ) | `[protected]`

virtual void XMLAttDefList::Reset | ( |  | ) | `[pure virtual]`

The documentation for this class was generated from the following file:

- XMLAttDefList.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.